package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlWeighted;
import com.dhcc.finance.main.domain.CwGlWeightedExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CwGlWeightedMapper {
    long countByExample(CwGlWeightedExample example);

    int deleteByExample(CwGlWeightedExample example);

    int deleteByPrimaryKey(String pkWeighted);

    int insert(CwGlWeighted record);

    int insertSelective(CwGlWeighted record);

    List<CwGlWeighted> selectByExample(CwGlWeightedExample example);

    CwGlWeighted selectByPrimaryKey(String pkWeighted);

    int updateByExampleSelective(@Param("record") CwGlWeighted record, @Param("example") CwGlWeightedExample example);

    int updateByExample(@Param("record") CwGlWeighted record, @Param("example") CwGlWeightedExample example);

    int updateByPrimaryKeySelective(CwGlWeighted record);

    int updateByPrimaryKey(CwGlWeighted record);
    /**
     * 功能描述：初始化数据
     * @param map
     * @return int
     * @author dml
     * @date 2020年1月7日 上午11:56:55
     * @修改日志：
     */
    int initCwGlWeighted(Map<String, Object> map);
    /**
     * 功能描述：清空表
     * @return int
     * @author dml
     * @date 2020年1月7日 下午1:18:45
     * @修改日志：
     */
    int deleteAll();
}